# Squid x Tenderly

Squid has worked with [Tenderly](https://tenderly.co/) to build a powerful cross-chain development environment. This environment is a replicated Mainnet fork of most Squid-supported EVM chains. This lets users and developers test using mainnet liquidity, and is our recommended development environment.

You can spend funds from your account in this environment without spending them on mainnet.

Mainnet fork environment base URL <https://axelar-relayer.testsquidrouter.com/api>

Polygon mainnet fork RPC <https://rpc.tenderly.co/fork/94010ea6-20cb-4a3a-b8b6-c7cb5e4574e8>

Arbitrum mainnet fork RPC <https://rpc.tenderly.co/fork/ba53ac43-0a0f-4f0a-9735-5b5de80c028f>

You can get other RPCs from this front end <https://squid-widget-git-main-v2-0xsquid.vercel.app/?apiUrl=https://axelar-relayer.testsquidrouter.com/api>

* Try connecting your wallet and clicking “switch network” on the source wallet. Metamask should pop up with the new chain config (MAKE SURE YOU DON'T SUBMIT TO REAL MAINNET)

{% tabs %}
{% tab title="Users" %}
Users can test swapping in our dev environment

{% embed url="<https://squid-widget-git-main-v2-0xsquid.vercel.app/?apiUrl=https://axelar-relayer.testsquidrouter.com/api>" fullWidth="true" %}
{% endtab %}

{% tab title="Widget" %}
Set your base URL to <https://axelar-relayer.testsquidrouter.com/api>
{% endtab %}

{% tab title="SDK" %}
Set your base URL to <https://axelar-relayer.testsquidrouter.com/api>

<pre class="language-typescript"><code class="lang-typescript">import { Squid } from "@0xsquid/sdk";

<strong>(async () => {
</strong>  // instantiate the SDK
  const squid = new Squid();

  squid.setConfig({
    baseUrl: "https://axelar-relayer.testsquidrouter.com/api", // for testnet use "https://testnet.v2.api.squidrouter.com"
    integratorId: "your-integrator-id"
  });

  // init the SDK
  await squid.init();
  console.log("Squid inited");
})();
</code></pre>

{% endtab %}

{% tab title="API" %}
Set your base URL to <https://axelar-relayer.testsquidrouter.com/api>

```typescript
const baseUrl = "https://v2.api.squidrouter.com/v2"
```

{% endtab %}

{% tab title="Debug" %}
You can use Tenderly's block explorer and debugger on any transaction submitted to these RPCs.

{% embed url="<https://dashboard.tenderly.co/explorer>" %}
{% endtab %}
{% endtabs %}

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squidrouter.com/additional-resources/additional-dev-resources/squid-x-tenderly.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
